Skip to main content
GET
/
v1
/
users
/
me
curl "https://api.destined.ai/v1/users/me" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "user_abc123",
  "email": "user@example.com",
  "name": "John Doe",
  "subscription_tier": "pro",
  "created_at": "2024-01-01T00:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.destined.ai/llms.txt

Use this file to discover all available pages before exploring further.

Response

id
string
required
User ID (from Clerk)
email
string
required
User email address
name
string
User display name
subscription_tier
string
required
Current tier: free, starter, pro, enterprise
created_at
string
required
Account creation timestamp
curl "https://api.destined.ai/v1/users/me" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "user_abc123",
  "email": "user@example.com",
  "name": "John Doe",
  "subscription_tier": "pro",
  "created_at": "2024-01-01T00:00:00Z"
}